import * as yup from 'yup';
declare const Validators: {
    firstName: () => import("yup/lib/string").RequiredStringSchema<string, import("yup/lib/types").AnyObject>;
    lastName: () => import("yup/lib/string").RequiredStringSchema<string, import("yup/lib/types").AnyObject>;
    email: () => import("yup/lib/string").RequiredStringSchema<string, import("yup/lib/types").AnyObject>;
    password: () => import("yup/lib/string").RequiredStringSchema<string, import("yup/lib/types").AnyObject>;
    imageSize: () => yup.ObjectSchema<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
        key: import("yup/lib/string").RequiredStringSchema<string, import("yup/lib/types").AnyObject>;
        width: yup.NumberSchema<number, import("yup/lib/types").AnyObject, number>;
        height: yup.NumberSchema<number, import("yup/lib/types").AnyObject, number>;
        quality: import("yup/lib/number").RequiredNumberSchema<number, import("yup/lib/types").AnyObject>;
        resize: yup.StringSchema<string, import("yup/lib/types").AnyObject, string>;
    }>, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
        key: import("yup/lib/string").RequiredStringSchema<string, import("yup/lib/types").AnyObject>;
        width: yup.NumberSchema<number, import("yup/lib/types").AnyObject, number>;
        height: yup.NumberSchema<number, import("yup/lib/types").AnyObject, number>;
        quality: import("yup/lib/number").RequiredNumberSchema<number, import("yup/lib/types").AnyObject>;
        resize: yup.StringSchema<string, import("yup/lib/types").AnyObject, string>;
    }>>, import("yup/lib/object").AssertsShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
        key: import("yup/lib/string").RequiredStringSchema<string, import("yup/lib/types").AnyObject>;
        width: yup.NumberSchema<number, import("yup/lib/types").AnyObject, number>;
        height: yup.NumberSchema<number, import("yup/lib/types").AnyObject, number>;
        quality: import("yup/lib/number").RequiredNumberSchema<number, import("yup/lib/types").AnyObject>;
        resize: yup.StringSchema<string, import("yup/lib/types").AnyObject, string>;
    }>>>;
};
export declare const slugRegex: RegExp;
export declare const slugRegexMessage = "invalid_pattern";
export default Validators;
